#ifndef PAMG4_RANGE_CUTS_PHYSICS_H
#define PAMG4_RANGE_CUTS_PHYSICS_H

#include <G4LogicalVolume.hh>
#include <TG4VPhysicsConstructor.h>

#include "TG4Globals.h"


class PamG4RangeCutsPhysics: public TG4VPhysicsConstructor
{
  public:
    PamG4RangeCutsPhysics(const G4String& name = "Range cuts");
    PamG4RangeCutsPhysics(G4int verboseLevel,
                              const G4String& name = "Range cuts");

    virtual ~PamG4RangeCutsPhysics() {; };

  protected:
    
    virtual void ConstructParticle();
    virtual void ConstructProcess();
    void LoopDaughters(G4LogicalVolume * vol);
    void SetCuts(G4LogicalVolume * vol);
  };  
#endif //TG4_SPECIAL_CUTS_PHYSICS_H

